Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::mutable_< T > Struct Template Reference
Utility

## Public Member Functions
constexpr | mutable_ ()
constexpr | mutable_ (T const &t)
constexpr | mutable_ (T &&t)
constexpr | operator T & () const &
mutable_ const & | operator= (T const &t) const
mutable_ const & | operator= (T &&t) const

## Public Attributes
T | value

## Constructor & Destructor Documentation

## ◆ mutable_()

template<typename T >

constexpr ranges::v3::mutable_< T >::mutable_ | ( |  | ) |

Precondition
  std::is_default_constructible<T>::value